{% extends 'base1.html' %}
{% load static %}

{% block title %}Choices{% endblock title %}

{% block custom_css %}
{% endblock custom_css %}



<!-- Optional JavaScript -->
<!-- jQuery first, then Popper.js, then Bootstrap JS -->
<!-- <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script> --> -->
{% load static %}
{% block content %}
<!doctype html>
<html lang="en" data-theme="light">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
  
<style>
  .tombol{
    text-align: center;
  }
  .pilihkat{
    text-align: center;
  }

  html {
--bg: #fcfcfc;
--bg-panel: #ebebeb;
--color-text: #333333;
--hover-bg: #ccc;
--bg-accordion: #bdbbbb;
--color-textaccordion: #333333;
}

html[data-theme='dark'] {
    --bg:aquamarine;
    --bg-panel: #434343;
    --color-text: white;
    --color-textaccordion: #e3e3e3;
    --bg-accordion: #bdbbbb;
    /* --color-textaccordion: #333333; */
}

body {
    background-color: var(--bg);
}

.container {
    background-color: var(--bg-panel);
    padding: 2em 3em;
    border-radius: 5em;
    margin-top: 3em;
}

h1{
    text-align: center;
    color: var(--color-textaccordion)
}

p {
    color: var(--color-text);
}

/* .photo-profile {
    height: 20px;
    width: 20px;
    padding-top: 30px;
    padding-bottom: 30px;
    text-align: center;
} */


/* The switch - the box around the slider */
.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
}

/* Hide default HTML checkbox */
.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

/* The slider */
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked+.slider {
    background-color: #2196F3;
}

input:focus+.slider {
    box-shadow: 0 0 1px #2196F3;
}

input:checked+.slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

.label-checkbox {
    font-size: 1.5em;
    display: inline-block;
    transform: translateY(20%);
}


html.transition,
html.transition *,
html.transition * :before,
html.transition * :after {
    transition: all 750ms !important;
    transition-delay: 0 !important;
}

.ui-accordion {
    font-size: 0.9em;
}

.panel {
    font-size: 0.7em;
}

.text-accordion {
    color: var(--color-textaccordion);
}

.ui-accordion-header {
    color: var(--color-textaccordion);
    background: var(--bg-accordion);
}

.accordion{
    padding-bottom: 10px;
}
.accordion__button{
    display: block;
    width: 100%;
    border: none;
    outline: none;
    cursor: pointer;
    background:cornflowerblue;
    color: white;
    text-align: left;
    transition: background 0.2s;    
}

.accordion__button::after{
    content: '\25be';
    float: right;
    transform: scale(1.5);
}

.accordion__button--active { background: #555555 }
.accordion__button--active::after { content: '\25b4'}  

.accordion__content {
    overflow: hidden;
    max-height: 0;
    transition: max_height 0.2s;

    padding: 0 15px;
    font-family: sans-serif;
    background: #eeeeee;

}

    </style>
    
  </head>
  {% if user.is_authenticated %}
  <body>
    <br /><br />
    <div class="container">
        <label class="switch">
                <input type="checkbox" name='theme'>
                <span class="slider"></span>
        </label>
        <div class = "container" style="width: 400px;">
            <select name = 'gender' id='gender' class = 'form-control input-lg'>
              <option value=''>Choose gender
              </option>
            </select>
        </div>
    </div>
    
    <div class = "container">
        <form class="bikin" method="post">
          {% csrf_token %}
          <div class="pilihkat">
            <div class="form-row">
              <div class="col-sm-1"></div>
              <div class="form-group col-sm-10">
                 <p>{{ form.as_p }}</p> 
              </div>                           
            </div>
          </div>
          <div class="tombol">
              <input type = "submit" value = "Search">
          </div>  
      </div>
      <br />
    <table class="table">
        <tbody>
          {% for data in obj %}
          <tr>
            <th scope="row"></th>
            <td><p1><img src = "{{ data.picture.url }}" width="70px"> <br>
               {{ data.motorcycle_type }}</p1>
            </td>
            <td><p>{{ data.location }}</p></td>
            <td><p>{{ data.price }}</p></td>
          </tr>
        </tbody>
        {% endfor %}
</table>
    

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.1.1.min.js" integrity="" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
    <script src = "https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
  </body>
  {% else %}
  <body><p>Anda harus login terlebih dahulu</p></body>
  {% endif %}

</html>

<script>
$(document).ready(function(){
   load_json_data('gender')
   function load_json_data(id)
   {
     var html_code= '';
     $.getJSON('jsonreq/', function(data){
       html_code += '<option value="">Choose '+id+'</option>';
       $.each(data, function(key,value){
         if(id == 'gender')
         {
           if(value.parent_id == '0')
           {
      
             html_code += '<option value="'+value.id+'">'+value.name+'</option>';
           }
         }
       });
       $('#'+id).html(html_code);
     });
   }
})

 
  //  $(document).on('change', '#region', function(data){
  //     var region_id = $(this).val();
  //     if(region_id != '')
  //     {
  //       load_json_data('type', region_id);
  //     }
  //     else
  //     {
  //       $('#type').html('<option value="">Choose type</option>');

  //     }
  //  })

  var checkbox = document.querySelector('input[name=theme]');


checkbox.addEventListener('change', function() {
    if(this.checked){
        trans()
        document.documentElement.setAttribute('data-theme', 'dark')
    }else{
        trans()
        document.documentElement.setAttribute('data-theme', 'light')
    }
})
let trans = () => {
    document.documentElement.classList.add('transition');
    window.setTimeout(() => {
        document.documentElement.classList.remove('transition')
    },1000)
}

$( "#jQuery-accordion" ).accordion({
    collapsible:true,
    heightStyle: "content",
    active : false
})



</script>
{% endblock content %}
